## org.eclipse.datatools.enablement.sybase.asa.deltaddl
Class SybaseASAEventDeltaDdlGenProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.deltaddl.SybaseASAEventDeltaDdlGenProvider

All Implemented Interfaces:
  ISybaseASADdlConstants, ISybaseDdlConstants, IDeltaDdlGenProvider, IGenericDdlConstants

    public class SybaseASAEventDeltaDdlGenProvider

extends java.lang.Object
implements IDeltaDdlGenProvider, IGenericDdlConstants, ISybaseASADdlConstants

Author:
  Hui Cao

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.IGenericDdlConstants

`ADD, AFTER, ALIAS, ALTER, AS, BEFORE, BLOB, CASCADE, CASCADED, CHECK, CLOB, COMMA, COMPARISONS, CONSTRAINT, CREATE, DATALINK, DBCLOB, DEFAULT, DEFERRABLE, DEFERRED, DELETE, DOT, DOUBLE_QUOTE, DROP, EACH, EMPTY_STRING, FOR, FOREIGN_KEY, FUNCTION, INDEX, INITIALLY, INSERT, INSTEAD_OF, LEFT_PARENTHESIS, LOCAL, LONG, NEW, NEW_TABLE, NEWLINE, NO, NOT, NULL, OF, OLD, OLD_TABLE, ON, OPTION, PRIMARY_KEY, PROCEDURE, REFERENCES, REFERENCING, RENAME, RESTRICT, RIGHT_PARENTHESIS, ROW, SET, SINGLE_QUOTE, SPACE, STATEMENT, TAB, TABLE, TRIGGER, TYPE, UNIQUE, UPDATE, VARCHAR, VARGRAPHIC, VIEW, WHEN, WITH`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.ISybaseASADdlConstants

`AND, ASE, BETWEEN, BLANK, BY, CASE, CHECKSUM, COLLATION, COMPATIBLE, COMPUTE, CONNECT, DATE, DAYS_OF_WEEK, DBSPACE, DECLARELOCALTEMP, DISABLE, ENABLE, ENCRYPTED, EVENT_CONDITION, EVERY, EXISTING, GLOBALTEMPTABLE, GROUP, HANDLER, IDENTIFIED, IGNORE, JCONNECT, JDK, KEY, MEMBERSHIP, MIRROR, NOTTRANSACTIONAL, OFF, ONCOMMITDELETE, ONCOMMITPRESERVE, ONEXCEPTIONRESUME, ORDER, PADDING, PAGE, PASSWORD, PCTFREE, REMOTE, RESPECT, RESULT, SCHEDULE, SERVICE, SIZE, START, SYNTAX_TYPE_LIBRARY_CALL, SYNTAX_TYPE_PROXY, SYNTAX_TYPE_SQLJ, SYNTAX_TYPE_TSQL, SYNTAX_TYPE_WATCOM1, SYNTAX_TYPE_WATCOM2, TEMP_PASSWORD, TIME, USER, VIRTUAL, WHERE`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, SP_RENAME, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Constructor Summary
`SybaseASAEventDeltaDdlGenProvider()`

Method Summary
`void` `analyze(SQLObject element, java.util.Map changeMap, java.util.Map modificationRecords)` analyze specified sqlobject changes
`void` `processAlterStatement(SQLObject element, java.util.Map modifyRecordMap, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject modification scripts
`void` `processCreateStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, ISybaseDdlGenerator generator, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject creation scripts
`void` `processDropStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, SybaseDdlScript script, ISybaseDdlGenerator generator, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject drop scripts

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASAEventDeltaDdlGenProvider

    public SybaseASAEventDeltaDdlGenProvider()

Method Detail

### processAlterStatement

    public void processAlterStatement(SQLObject element,
                                      java.util.Map modifyRecordMap,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames,
                                      boolean fullSyntax,
                                      SybaseDdlScript script,
                                      org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject modification scripts

  Specified by:
    `processAlterStatement` in interface `IDeltaDdlGenProvider`

### processCreateStatement

    public void processCreateStatement(SQLObject element,
                                       boolean quoteIdentifiers,
                                       boolean qualifyNames,
                                       boolean fullSyntax,
                                       SybaseDdlScript script,
                                       ISybaseDdlGenerator generator,
                                       org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject creation scripts

  Specified by:
    `processCreateStatement` in interface `IDeltaDdlGenProvider`

### processDropStatement

    public void processDropStatement(SQLObject element,
                                     boolean quoteIdentifiers,
                                     boolean qualifyNames,
                                     SybaseDdlScript script,
                                     ISybaseDdlGenerator generator,
                                     org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject drop scripts

  Specified by:
    `processDropStatement` in interface `IDeltaDdlGenProvider`

### analyze

    public void analyze(SQLObject element,
                        java.util.Map changeMap,
                        java.util.Map modificationRecords)

  Description copied from interface: `IDeltaDdlGenProvider`
  analyze specified sqlobject changes

  Specified by:
    `analyze` in interface `IDeltaDdlGenProvider`